# Connection Allowed Devices

## List

> Retrieve a list of all the settings for RAS allowed devices

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ConnectionAllowedDevices":{"get":{"tags":["2-Site settings/Connection and Authentication//Allowed Devices"],"summary":"List","description":"Retrieve a list of all the settings for RAS allowed devices","operationId":"582993e8-6785-4040-81db-01704b2b33dd","parameters":[{"name":"SiteId","in":"query","description":"Site ID for which to retrieve all the settings for RAS allowed devices (optional)","schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RASAllowedDevicesSetting"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RASAllowedDevicesSetting":{"type":"object","properties":{"allowClientWithSecurityPatchesOnly":{"type":"boolean","description":"<para type=\"description\">Whether clients with security patches installed are only allowed to connect.</para>"},"allowClientChromeApp":{"type":"boolean","description":"<para type=\"description\">Whether ChromeApp clients are allowed or not</para>"},"allowClientAndroid":{"type":"boolean","description":"<para type=\"description\">Whether Android clients are allowed or not.</para>"},"allowClientWeb":{"type":"boolean","description":"<para type=\"description\">Whether Web clients are allowed or not.</para>"},"allowClientIOS":{"type":"boolean","description":"<para type=\"description\">Whether IOS clients are allowed or not.</para>"},"allowClientLinux":{"type":"boolean","description":"<para type=\"description\">Whether Linux clients are allowed or not.</para>"},"allowClientMAC":{"type":"boolean","description":"<para type=\"description\">Whether MAC clients are allowed or not.</para>"},"allowClientMode":{"$ref":"#/components/schemas/AllowClientMode"},"allowClientWindows":{"type":"boolean","description":"<para type=\"description\">Whether Windows clients are allowed or not.</para>"},"allowClientWyse":{"type":"boolean","description":"<para type=\"description\">Whether Wyse clients are allowed or not.</para>"},"replicateSettings":{"type":"boolean","description":"<para type=\"description\">Whether replication of settings to other sites is enabled or not.</para>"},"siteId":{"type":"integer","description":"<para type=\"description\">The site ID to which the allowed device settings refer.</para>","format":"int32"},"minBuildChromeApp":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the ChromeApp client.</para>","format":"int32"},"minBuildAndroid":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the Android client.</para>","format":"int32"},"minBuildWeb":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the Web client.</para>","format":"int32"},"minBuildIOS":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the IOS client.</para>","format":"int32"},"minBuildLinux":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the Linux client.</para>","format":"int32"},"minBuildMAC":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the MAC client.</para>","format":"int32"},"minBuildWindows":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the Windows client.</para>","format":"int32"},"minBuildWyse":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the Wyse client.</para>","format":"int32"}},"additionalProperties":false,"description":"<para type=\"synopsis\">RAS Allowed Devices Settings</para>\r\n<para type=\"description\"></para>"},"AllowClientMode":{"enum":[["0 = AllowAllClientsConnectToSystem","1 = AllowSelectedClientsConnectToSystem","2 = AllowSelectedClientsListPublishedItems"]],"type":"string","description":"<para type=\"synopsis\">Allow Mode</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Update settings of a RAS allowed device

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/ConnectionAllowedDevices":{"put":{"tags":["2-Site settings/Connection and Authentication//Allowed Devices"],"summary":"Update","description":"Update settings of a RAS allowed device","operationId":"304f1549-7d3c-4f77-a2da-1ec37dc5714a","parameters":[{"name":"SiteId","in":"query","description":"ID of the site for which the RAS Allowed device settings will be updated","schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"RAS allowed device settings","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetAllowedDeviceSetting"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetAllowedDeviceSetting":{"type":"object","properties":{"allowClientWithSecurityPatchesOnly":{"type":"boolean","description":"<para type=\"description\">Allow clients with security patches only.</para>","nullable":true},"allowClientMode":{"$ref":"#/components/schemas/AllowClientMode"},"allowClientChromeApp":{"type":"boolean","description":"<para type=\"description\">Allow ChromeApp clients.</para>","nullable":true},"allowClientAndroid":{"type":"boolean","description":"<para type=\"description\">Allow Android clients.</para>","nullable":true},"allowClientWeb":{"type":"boolean","description":"<para type=\"description\">Allow Web clients.</para>","nullable":true},"allowClientIOS":{"type":"boolean","description":"<para type=\"description\">Allow IOS clients.</para>","nullable":true},"allowClientLinux":{"type":"boolean","description":"<para type=\"description\">Allow Linux clients.</para>","nullable":true},"allowClientMAC":{"type":"boolean","description":"<para type=\"description\">Allow Mac clients.</para>","nullable":true},"allowClientWindows":{"type":"boolean","description":"<para type=\"description\">Allow Windows clients.</para>","nullable":true},"allowClientWyse":{"type":"boolean","description":"<para type=\"description\">Allow Wyse clients.</para>","nullable":true},"replicateSettings":{"type":"boolean","description":"<para type=\"description\">Enable/disable replication of settings to other sites.</para>","nullable":true},"minBuildChromeApp":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the Chromeapp client.</para>","format":"int32","nullable":true},"minBuildAndroid":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the Droid client.</para>","format":"int32","nullable":true},"minBuildWeb":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the Web client.</para>","format":"int32","nullable":true},"minBuildIOS":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the IOS client.</para>","format":"int32","nullable":true},"minBuildLinux":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the Linux client.</para>","format":"int32","nullable":true},"minBuildMAC":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the Mac client.</para>","format":"int32","nullable":true},"minBuildWindows":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the Windows client.</para>","format":"int32","nullable":true},"minBuildWyse":{"type":"integer","description":"<para type=\"description\">Represents the minimum build required for the Wyse client.</para>","format":"int32","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Update allowed devices settings</para>\r\n<para type=\"description\"></para>"},"AllowClientMode":{"enum":[["0 = AllowAllClientsConnectToSystem","1 = AllowSelectedClientsConnectToSystem","2 = AllowSelectedClientsListPublishedItems"]],"type":"string","description":"<para type=\"synopsis\">Allow Mode</para>\r\n<para type=\"description\"></para>","format":"int32"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/site-settings/connection-and-authentication/connection-allowed-devices.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
